# Command: topology::GetElement

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    topology::GetElement - return node GID at specified layer position

Synopsis:

    layer_gid [array] GetElement -> node_gid

Examples:

      topology using

      %%Create layer
      << /rows 5
      /columns 4
      /elements /iaf_psc_alpha
      >> /dictionary Set

      dictionary CreateLayer /src Set

      src [2 3] GetElement

Description:

    Retrieves node at the layer grid position
      given in [array]. [array] is on the format [column row].
      The layer must be of grid type. Returns an array of GIDs
      if there are several nodes per grid point.

Parameters:

      layer_gid		- topological layer
      [array]		- position of node
      node_gid		- node GID

Author:

    Kittel Austvoll, Håkon Enger

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/topology/topologymodule.cpp

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative